Uptimeify Docs
MonitorsSsh monitors

Get SSH Monitor Details

Consolidated endpoint that returns the SSH monitor details page data in one call.

GET /api/ssh-monitors/:sshMonitorPublicId/details

Authentication

Requires a valid session.

  • Header: Authorization: Bearer <token>

Parameters

  • sshMonitorPublicId (Path, required): SSH monitor public UUID.

Query Parameters

  • range (string, optional): day, week, month, year (default: day)
  • date (string, optional): Reference date (parsed by new Date(date))
  • startDate (string, optional)
  • endDate (string, optional)
  • granularity (string, optional)
    • If set to raw, disables aggregation.

cURL

curl "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444/details?range=day" \
  -H "Authorization: Bearer $TOKEN"

Response

The response is a single object with these top-level keys:

  • sshMonitorId
  • monitor
  • latestCheck
  • uptimeStats
  • uptimeStatsMeta
  • monitoringData
  • incidents
  • alerts
  • testResultLog
  • maintenance

Example (truncated):

{
  "sshMonitorId": 300,
  "monitor": {
    "id": 300,
    "customerId": 10,
    "name": "Bastion Host",
    "hostname": "ssh.example.com",
    "port": 22,
    "status": "active",
    "checkInterval": 60,
    "timeoutSeconds": 30,
    "config": {
      "username": "root"
    }
  },
  "latestCheck": {
    "status": "success",
    "checkedAt": "2026-02-26T12:00:00.000Z",
    "timingSsh": 123,
    "locationCode": "de-nbg",
    "locationName": "Nuremberg (DE)"
  },
  "uptimeStats": {
    "day": 99.9,
    "month": 99.5,
    "year": 99.0,
    "dayAvgResponse": 120,
    "monthAvgResponse": 140,
    "yearAvgResponse": 150
  },
  "maintenance": {
    "inMaintenance": false,
    "activeWindows": [],
    "allWindows": []
  }
}

Errors

  • 400 Invalid SSH monitor public ID (UUID)
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 500 Failed to fetch SSH monitor details

On this page